Package ghidra.app.util.bin.format.dwarf.expression

# Enum Class DWARFExpressionOpCode

java.lang.Object
java.lang.Enum<DWARFExpressionOpCode>
ghidra.app.util.bin.format.dwarf.expression.DWARFExpressionOpCode

All Implemented Interfaces:
  `Serializable`, `Comparable<DWARFExpressionOpCode>`, `Constable`

public enum DWARFExpressionOpCode extends Enum<DWARFExpressionOpCode>
DWARF expression opcodes, and their expected operands.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DW_OP_abs`
  `DW_OP_addr`
  `DW_OP_addrx`
  `DW_OP_and`
  `DW_OP_bit_piece`
  `DW_OP_bra`
  `DW_OP_breg0`
  `DW_OP_breg1`
  `DW_OP_breg10`
  `DW_OP_breg11`
  `DW_OP_breg12`
  `DW_OP_breg13`
  `DW_OP_breg14`
  `DW_OP_breg15`
  `DW_OP_breg16`
  `DW_OP_breg17`
  `DW_OP_breg18`
  `DW_OP_breg19`
  `DW_OP_breg2`
  `DW_OP_breg20`
  `DW_OP_breg21`
  `DW_OP_breg22`
  `DW_OP_breg23`
  `DW_OP_breg24`
  `DW_OP_breg25`
  `DW_OP_breg26`
  `DW_OP_breg27`
  `DW_OP_breg28`
  `DW_OP_breg29`
  `DW_OP_breg3`
  `DW_OP_breg30`
  `DW_OP_breg31`
  `DW_OP_breg4`
  `DW_OP_breg5`
  `DW_OP_breg6`
  `DW_OP_breg7`
  `DW_OP_breg8`
  `DW_OP_breg9`
  `DW_OP_bregx`
  `DW_OP_call_frame_cfa`
  `DW_OP_call_ref`
  `DW_OP_call2`
  `DW_OP_call4`
  `DW_OP_const_type`
  `DW_OP_const1s`
  `DW_OP_const1u`
  `DW_OP_const2s`
  `DW_OP_const2u`
  `DW_OP_const4s`
  `DW_OP_const4u`
  `DW_OP_const8s`
  `DW_OP_const8u`
  `DW_OP_consts`
  `DW_OP_constu`
  `DW_OP_constx`
  `DW_OP_convert`
  `DW_OP_deref`
  `DW_OP_deref_size`
  `DW_OP_deref_type`
  `DW_OP_div`
  `DW_OP_drop`
  `DW_OP_dup`
  `DW_OP_entry_value`
  `DW_OP_eq`
  `DW_OP_fbreg`
  `DW_OP_form_tls_address`
  `DW_OP_ge`
  `DW_OP_gt`
  `DW_OP_implicit_pointer`
  `DW_OP_implicit_value`
  `DW_OP_le`
  `DW_OP_lit0`
  `DW_OP_lit1`
  `DW_OP_lit10`
  `DW_OP_lit11`
  `DW_OP_lit12`
  `DW_OP_lit13`
  `DW_OP_lit14`
  `DW_OP_lit15`
  `DW_OP_lit16`
  `DW_OP_lit17`
  `DW_OP_lit18`
  `DW_OP_lit19`
  `DW_OP_lit2`
  `DW_OP_lit20`
  `DW_OP_lit21`
  `DW_OP_lit22`
  `DW_OP_lit23`
  `DW_OP_lit24`
  `DW_OP_lit25`
  `DW_OP_lit26`
  `DW_OP_lit27`
  `DW_OP_lit28`
  `DW_OP_lit29`
  `DW_OP_lit3`
  `DW_OP_lit30`
  `DW_OP_lit31`
  `DW_OP_lit4`
  `DW_OP_lit5`
  `DW_OP_lit6`
  `DW_OP_lit7`
  `DW_OP_lit8`
  `DW_OP_lit9`
  `DW_OP_lt`
  `DW_OP_minus`
  `DW_OP_mod`
  `DW_OP_mul`
  `DW_OP_ne`
  `DW_OP_neg`
  `DW_OP_nop`
  `DW_OP_not`
  `DW_OP_or`
  `DW_OP_over`
  `DW_OP_pick`
  `DW_OP_piece`
  `DW_OP_plus`
  `DW_OP_plus_uconst`
  `DW_OP_push_object_address`
  `DW_OP_reg0`
  `DW_OP_reg1`
  `DW_OP_reg10`
  `DW_OP_reg11`
  `DW_OP_reg12`
  `DW_OP_reg13`
  `DW_OP_reg14`
  `DW_OP_reg15`
  `DW_OP_reg16`
  `DW_OP_reg17`
  `DW_OP_reg18`
  `DW_OP_reg19`
  `DW_OP_reg2`
  `DW_OP_reg20`
  `DW_OP_reg21`
  `DW_OP_reg22`
  `DW_OP_reg23`
  `DW_OP_reg24`
  `DW_OP_reg25`
  `DW_OP_reg26`
  `DW_OP_reg27`
  `DW_OP_reg28`
  `DW_OP_reg29`
  `DW_OP_reg3`
  `DW_OP_reg30`
  `DW_OP_reg31`
  `DW_OP_reg4`
  `DW_OP_reg5`
  `DW_OP_reg6`
  `DW_OP_reg7`
  `DW_OP_reg8`
  `DW_OP_reg9`
  `DW_OP_regval_type`
  `DW_OP_regx`
  `DW_OP_reinterpret`
  `DW_OP_rot`
  `DW_OP_shl`
  `DW_OP_shr`
  `DW_OP_shra`
  `DW_OP_skip`
  `DW_OP_stack_value`
  `DW_OP_swap`
  `DW_OP_unknown_opcode`
  `DW_OP_xderef`
  `DW_OP_xderef_size`
  `DW_OP_xderef_type`
  `DW_OP_xor`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getOpCodeValue()`
  Returns this opcode's raw numeric value.
  `DWARFExpressionOperandType[]`
  `getOperandTypes()`
  Returns the expected operand types that an instruction would have for this opcode.
  `int`
  `getRelativeOpCodeOffset(DWARFExpressionOpCode baseOp)`
  Calculates the relative opcode number of this opcode, as compared to a base opcode.
  `static boolean`
  `isInRange(DWARFExpressionOpCode op, DWARFExpressionOpCode lo, DWARFExpressionOpCode hi)`
  Returns true if the specified opcode is in the range (inclusive) of the lo..hi opcodes.
  `static DWARFExpressionOpCode`
  `parse(int opcode)`
  Returns the matching `DWARFExpressionOpCode` enum member, or null if unknown opcode.
  `String`
  `toString(DWARFRegisterMappings regMapping)`
  `static DWARFExpressionOpCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DWARFExpressionOpCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DW_OP_unknown_opcode

    public static final DWARFExpressionOpCode DW_OP_unknown_opcode

  - ### DW_OP_addr

    public static final DWARFExpressionOpCode DW_OP_addr

  - ### DW_OP_deref

    public static final DWARFExpressionOpCode DW_OP_deref

  - ### DW_OP_const1u

    public static final DWARFExpressionOpCode DW_OP_const1u

  - ### DW_OP_const1s

    public static final DWARFExpressionOpCode DW_OP_const1s

  - ### DW_OP_const2u

    public static final DWARFExpressionOpCode DW_OP_const2u

  - ### DW_OP_const2s

    public static final DWARFExpressionOpCode DW_OP_const2s

  - ### DW_OP_const4u

    public static final DWARFExpressionOpCode DW_OP_const4u

  - ### DW_OP_const4s

    public static final DWARFExpressionOpCode DW_OP_const4s

  - ### DW_OP_const8u

    public static final DWARFExpressionOpCode DW_OP_const8u

  - ### DW_OP_const8s

    public static final DWARFExpressionOpCode DW_OP_const8s

  - ### DW_OP_constu

    public static final DWARFExpressionOpCode DW_OP_constu

  - ### DW_OP_consts

    public static final DWARFExpressionOpCode DW_OP_consts

  - ### DW_OP_dup

    public static final DWARFExpressionOpCode DW_OP_dup

  - ### DW_OP_drop

    public static final DWARFExpressionOpCode DW_OP_drop

  - ### DW_OP_over

    public static final DWARFExpressionOpCode DW_OP_over

  - ### DW_OP_pick

    public static final DWARFExpressionOpCode DW_OP_pick

  - ### DW_OP_swap

    public static final DWARFExpressionOpCode DW_OP_swap

  - ### DW_OP_rot

    public static final DWARFExpressionOpCode DW_OP_rot

  - ### DW_OP_xderef

    public static final DWARFExpressionOpCode DW_OP_xderef

  - ### DW_OP_abs

    public static final DWARFExpressionOpCode DW_OP_abs

  - ### DW_OP_and

    public static final DWARFExpressionOpCode DW_OP_and

  - ### DW_OP_div

    public static final DWARFExpressionOpCode DW_OP_div

  - ### DW_OP_minus

    public static final DWARFExpressionOpCode DW_OP_minus

  - ### DW_OP_mod

    public static final DWARFExpressionOpCode DW_OP_mod

  - ### DW_OP_mul

    public static final DWARFExpressionOpCode DW_OP_mul

  - ### DW_OP_neg

    public static final DWARFExpressionOpCode DW_OP_neg

  - ### DW_OP_not

    public static final DWARFExpressionOpCode DW_OP_not

  - ### DW_OP_or

    public static final DWARFExpressionOpCode DW_OP_or

  - ### DW_OP_plus

    public static final DWARFExpressionOpCode DW_OP_plus

  - ### DW_OP_plus_uconst

    public static final DWARFExpressionOpCode DW_OP_plus_uconst

  - ### DW_OP_shl

    public static final DWARFExpressionOpCode DW_OP_shl

  - ### DW_OP_shr

    public static final DWARFExpressionOpCode DW_OP_shr

  - ### DW_OP_shra

    public static final DWARFExpressionOpCode DW_OP_shra

  - ### DW_OP_xor

    public static final DWARFExpressionOpCode DW_OP_xor

  - ### DW_OP_bra

    public static final DWARFExpressionOpCode DW_OP_bra

  - ### DW_OP_eq

    public static final DWARFExpressionOpCode DW_OP_eq

  - ### DW_OP_ge

    public static final DWARFExpressionOpCode DW_OP_ge

  - ### DW_OP_gt

    public static final DWARFExpressionOpCode DW_OP_gt

  - ### DW_OP_le

    public static final DWARFExpressionOpCode DW_OP_le

  - ### DW_OP_lt

    public static final DWARFExpressionOpCode DW_OP_lt

  - ### DW_OP_ne

    public static final DWARFExpressionOpCode DW_OP_ne

  - ### DW_OP_skip

    public static final DWARFExpressionOpCode DW_OP_skip

  - ### DW_OP_lit0

    public static final DWARFExpressionOpCode DW_OP_lit0

  - ### DW_OP_lit1

    public static final DWARFExpressionOpCode DW_OP_lit1

  - ### DW_OP_lit2

    public static final DWARFExpressionOpCode DW_OP_lit2

  - ### DW_OP_lit3

    public static final DWARFExpressionOpCode DW_OP_lit3

  - ### DW_OP_lit4

    public static final DWARFExpressionOpCode DW_OP_lit4

  - ### DW_OP_lit5

    public static final DWARFExpressionOpCode DW_OP_lit5

  - ### DW_OP_lit6

    public static final DWARFExpressionOpCode DW_OP_lit6

  - ### DW_OP_lit7

    public static final DWARFExpressionOpCode DW_OP_lit7

  - ### DW_OP_lit8

    public static final DWARFExpressionOpCode DW_OP_lit8

  - ### DW_OP_lit9

    public static final DWARFExpressionOpCode DW_OP_lit9

  - ### DW_OP_lit10

    public static final DWARFExpressionOpCode DW_OP_lit10

  - ### DW_OP_lit11

    public static final DWARFExpressionOpCode DW_OP_lit11

  - ### DW_OP_lit12

    public static final DWARFExpressionOpCode DW_OP_lit12

  - ### DW_OP_lit13

    public static final DWARFExpressionOpCode DW_OP_lit13

  - ### DW_OP_lit14

    public static final DWARFExpressionOpCode DW_OP_lit14

  - ### DW_OP_lit15

    public static final DWARFExpressionOpCode DW_OP_lit15

  - ### DW_OP_lit16

    public static final DWARFExpressionOpCode DW_OP_lit16

  - ### DW_OP_lit17

    public static final DWARFExpressionOpCode DW_OP_lit17

  - ### DW_OP_lit18

    public static final DWARFExpressionOpCode DW_OP_lit18

  - ### DW_OP_lit19

    public static final DWARFExpressionOpCode DW_OP_lit19

  - ### DW_OP_lit20

    public static final DWARFExpressionOpCode DW_OP_lit20

  - ### DW_OP_lit21

    public static final DWARFExpressionOpCode DW_OP_lit21

  - ### DW_OP_lit22

    public static final DWARFExpressionOpCode DW_OP_lit22

  - ### DW_OP_lit23

    public static final DWARFExpressionOpCode DW_OP_lit23

  - ### DW_OP_lit24

    public static final DWARFExpressionOpCode DW_OP_lit24

  - ### DW_OP_lit25

    public static final DWARFExpressionOpCode DW_OP_lit25

  - ### DW_OP_lit26

    public static final DWARFExpressionOpCode DW_OP_lit26

  - ### DW_OP_lit27

    public static final DWARFExpressionOpCode DW_OP_lit27

  - ### DW_OP_lit28

    public static final DWARFExpressionOpCode DW_OP_lit28

  - ### DW_OP_lit29

    public static final DWARFExpressionOpCode DW_OP_lit29

  - ### DW_OP_lit30

    public static final DWARFExpressionOpCode DW_OP_lit30

  - ### DW_OP_lit31

    public static final DWARFExpressionOpCode DW_OP_lit31

  - ### DW_OP_reg0

    public static final DWARFExpressionOpCode DW_OP_reg0

  - ### DW_OP_reg1

    public static final DWARFExpressionOpCode DW_OP_reg1

  - ### DW_OP_reg2

    public static final DWARFExpressionOpCode DW_OP_reg2

  - ### DW_OP_reg3

    public static final DWARFExpressionOpCode DW_OP_reg3

  - ### DW_OP_reg4

    public static final DWARFExpressionOpCode DW_OP_reg4

  - ### DW_OP_reg5

    public static final DWARFExpressionOpCode DW_OP_reg5

  - ### DW_OP_reg6

    public static final DWARFExpressionOpCode DW_OP_reg6

  - ### DW_OP_reg7

    public static final DWARFExpressionOpCode DW_OP_reg7

  - ### DW_OP_reg8

    public static final DWARFExpressionOpCode DW_OP_reg8

  - ### DW_OP_reg9

    public static final DWARFExpressionOpCode DW_OP_reg9

  - ### DW_OP_reg10

    public static final DWARFExpressionOpCode DW_OP_reg10

  - ### DW_OP_reg11

    public static final DWARFExpressionOpCode DW_OP_reg11

  - ### DW_OP_reg12

    public static final DWARFExpressionOpCode DW_OP_reg12

  - ### DW_OP_reg13

    public static final DWARFExpressionOpCode DW_OP_reg13

  - ### DW_OP_reg14

    public static final DWARFExpressionOpCode DW_OP_reg14

  - ### DW_OP_reg15

    public static final DWARFExpressionOpCode DW_OP_reg15

  - ### DW_OP_reg16

    public static final DWARFExpressionOpCode DW_OP_reg16

  - ### DW_OP_reg17

    public static final DWARFExpressionOpCode DW_OP_reg17

  - ### DW_OP_reg18

    public static final DWARFExpressionOpCode DW_OP_reg18

  - ### DW_OP_reg19

    public static final DWARFExpressionOpCode DW_OP_reg19

  - ### DW_OP_reg20

    public static final DWARFExpressionOpCode DW_OP_reg20

  - ### DW_OP_reg21

    public static final DWARFExpressionOpCode DW_OP_reg21

  - ### DW_OP_reg22

    public static final DWARFExpressionOpCode DW_OP_reg22

  - ### DW_OP_reg23

    public static final DWARFExpressionOpCode DW_OP_reg23

  - ### DW_OP_reg24

    public static final DWARFExpressionOpCode DW_OP_reg24

  - ### DW_OP_reg25

    public static final DWARFExpressionOpCode DW_OP_reg25

  - ### DW_OP_reg26

    public static final DWARFExpressionOpCode DW_OP_reg26

  - ### DW_OP_reg27

    public static final DWARFExpressionOpCode DW_OP_reg27

  - ### DW_OP_reg28

    public static final DWARFExpressionOpCode DW_OP_reg28

  - ### DW_OP_reg29

    public static final DWARFExpressionOpCode DW_OP_reg29

  - ### DW_OP_reg30

    public static final DWARFExpressionOpCode DW_OP_reg30

  - ### DW_OP_reg31

    public static final DWARFExpressionOpCode DW_OP_reg31

  - ### DW_OP_breg0

    public static final DWARFExpressionOpCode DW_OP_breg0

  - ### DW_OP_breg1

    public static final DWARFExpressionOpCode DW_OP_breg1

  - ### DW_OP_breg2

    public static final DWARFExpressionOpCode DW_OP_breg2

  - ### DW_OP_breg3

    public static final DWARFExpressionOpCode DW_OP_breg3

  - ### DW_OP_breg4

    public static final DWARFExpressionOpCode DW_OP_breg4

  - ### DW_OP_breg5

    public static final DWARFExpressionOpCode DW_OP_breg5

  - ### DW_OP_breg6

    public static final DWARFExpressionOpCode DW_OP_breg6

  - ### DW_OP_breg7

    public static final DWARFExpressionOpCode DW_OP_breg7

  - ### DW_OP_breg8

    public static final DWARFExpressionOpCode DW_OP_breg8

  - ### DW_OP_breg9

    public static final DWARFExpressionOpCode DW_OP_breg9

  - ### DW_OP_breg10

    public static final DWARFExpressionOpCode DW_OP_breg10

  - ### DW_OP_breg11

    public static final DWARFExpressionOpCode DW_OP_breg11

  - ### DW_OP_breg12

    public static final DWARFExpressionOpCode DW_OP_breg12

  - ### DW_OP_breg13

    public static final DWARFExpressionOpCode DW_OP_breg13

  - ### DW_OP_breg14

    public static final DWARFExpressionOpCode DW_OP_breg14

  - ### DW_OP_breg15

    public static final DWARFExpressionOpCode DW_OP_breg15

  - ### DW_OP_breg16

    public static final DWARFExpressionOpCode DW_OP_breg16

  - ### DW_OP_breg17

    public static final DWARFExpressionOpCode DW_OP_breg17

  - ### DW_OP_breg18

    public static final DWARFExpressionOpCode DW_OP_breg18

  - ### DW_OP_breg19

    public static final DWARFExpressionOpCode DW_OP_breg19

  - ### DW_OP_breg20

    public static final DWARFExpressionOpCode DW_OP_breg20

  - ### DW_OP_breg21

    public static final DWARFExpressionOpCode DW_OP_breg21

  - ### DW_OP_breg22

    public static final DWARFExpressionOpCode DW_OP_breg22

  - ### DW_OP_breg23

    public static final DWARFExpressionOpCode DW_OP_breg23

  - ### DW_OP_breg24

    public static final DWARFExpressionOpCode DW_OP_breg24

  - ### DW_OP_breg25

    public static final DWARFExpressionOpCode DW_OP_breg25

  - ### DW_OP_breg26

    public static final DWARFExpressionOpCode DW_OP_breg26

  - ### DW_OP_breg27

    public static final DWARFExpressionOpCode DW_OP_breg27

  - ### DW_OP_breg28

    public static final DWARFExpressionOpCode DW_OP_breg28

  - ### DW_OP_breg29

    public static final DWARFExpressionOpCode DW_OP_breg29

  - ### DW_OP_breg30

    public static final DWARFExpressionOpCode DW_OP_breg30

  - ### DW_OP_breg31

    public static final DWARFExpressionOpCode DW_OP_breg31

  - ### DW_OP_regx

    public static final DWARFExpressionOpCode DW_OP_regx

  - ### DW_OP_fbreg

    public static final DWARFExpressionOpCode DW_OP_fbreg

  - ### DW_OP_bregx

    public static final DWARFExpressionOpCode DW_OP_bregx

  - ### DW_OP_piece

    public static final DWARFExpressionOpCode DW_OP_piece

  - ### DW_OP_deref_size

    public static final DWARFExpressionOpCode DW_OP_deref_size

  - ### DW_OP_xderef_size

    public static final DWARFExpressionOpCode DW_OP_xderef_size

  - ### DW_OP_nop

    public static final DWARFExpressionOpCode DW_OP_nop

  - ### DW_OP_push_object_address

    public static final DWARFExpressionOpCode DW_OP_push_object_address

  - ### DW_OP_call2

    public static final DWARFExpressionOpCode DW_OP_call2

  - ### DW_OP_call4

    public static final DWARFExpressionOpCode DW_OP_call4

  - ### DW_OP_call_ref

    public static final DWARFExpressionOpCode DW_OP_call_ref

  - ### DW_OP_form_tls_address

    public static final DWARFExpressionOpCode DW_OP_form_tls_address

  - ### DW_OP_call_frame_cfa

    public static final DWARFExpressionOpCode DW_OP_call_frame_cfa

  - ### DW_OP_bit_piece

    public static final DWARFExpressionOpCode DW_OP_bit_piece

  - ### DW_OP_implicit_value

    public static final DWARFExpressionOpCode DW_OP_implicit_value

  - ### DW_OP_stack_value

    public static final DWARFExpressionOpCode DW_OP_stack_value

  - ### DW_OP_implicit_pointer

    public static final DWARFExpressionOpCode DW_OP_implicit_pointer

  - ### DW_OP_addrx

    public static final DWARFExpressionOpCode DW_OP_addrx

  - ### DW_OP_constx

    public static final DWARFExpressionOpCode DW_OP_constx

  - ### DW_OP_entry_value

    public static final DWARFExpressionOpCode DW_OP_entry_value

  - ### DW_OP_const_type

    public static final DWARFExpressionOpCode DW_OP_const_type

  - ### DW_OP_regval_type

    public static final DWARFExpressionOpCode DW_OP_regval_type

  - ### DW_OP_deref_type

    public static final DWARFExpressionOpCode DW_OP_deref_type

  - ### DW_OP_xderef_type

    public static final DWARFExpressionOpCode DW_OP_xderef_type

  - ### DW_OP_convert

    public static final DWARFExpressionOpCode DW_OP_convert

  - ### DW_OP_reinterpret

    public static final DWARFExpressionOpCode DW_OP_reinterpret

- ## Method Details

  - ### values

    public static DWARFExpressionOpCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DWARFExpressionOpCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getOpCodeValue

    public byte getOpCodeValue()
    Returns this opcode's raw numeric value.
    Returns:
      this opcode's raw numeric value

  - ### getOperandTypes

    public DWARFExpressionOperandType[] getOperandTypes()
    Returns the expected operand types that an instruction would have for this opcode.
    Returns:
      the expected operand types that an instruction would have for this opcode

  - ### isInRange

    public static boolean isInRange(DWARFExpressionOpCode op, DWARFExpressionOpCode lo, DWARFExpressionOpCode hi)
    Returns true if the specified opcode is in the range (inclusive) of the lo..hi opcodes.
    Parameters:
      `op` - opcode to test
      `lo` - lowest opcode
      `hi` - highest opcode
    Returns:
      true if the specified opcode is in the range (inclusive) of the lo..hi opcodes

  - ### getRelativeOpCodeOffset

    public int getRelativeOpCodeOffset(DWARFExpressionOpCode baseOp)
    Calculates the relative opcode number of this opcode, as compared to a base opcode.

    Example: if this opcode was DW_OP_reg12 (0x5c), and the base op code was DW_OP_reg0 (0x50), the result value would be 12.

    Parameters:
      `baseOp` - base opcode that this opcode is being compared to
    Returns:
      numeric difference between this opcode and the base opcode

  - ### toString

    public String toString(DWARFRegisterMappings regMapping)

  - ### parse

    public static DWARFExpressionOpCode parse(int opcode)
    Returns the matching `DWARFExpressionOpCode` enum member, or null if unknown opcode.
    Parameters:
      `opcode` - numeric value of opcode (currently defined by DWARF as uint8)
    Returns:
      the matching `DWARFExpressionOpCode` enum member, or null if unknown opcode